package com.engine.organization.enums;


/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/31
 * @Version V1.0
 **/
public enum RuleCodeTypeEnum {


        SUBCOMPANY("SUBCOMPANY"),
        DEPARTMENT("DEPARTMENT"),
        JOBTITLES("JOBTITLES"),
        USER("USER"),
        YEAR("YEAR"),
        MONTH("MONTH"),
        DAY("DAY"),
        STRING("STRING"),
        NUMBER("NUMBER");

        private String value;

        RuleCodeTypeEnum(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        public static RuleCodeTypeEnum getByValue(String value) {
            for (RuleCodeTypeEnum ruleCodeType : values()) {
                if (ruleCodeType.getValue().equals(value)) {
                    return ruleCodeType;
                }
            }
            return null;
        }
}
